Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.primitive
Interface SolidBoundary

All Superinterfaces:
  Boundary, Complex, Geometry, PrimitiveBoundary, TransfiniteSet

    @UML(identifier="GM_SolidBoundary",
         specification=ISO_19107)
    public interface SolidBoundary

extends PrimitiveBoundary

The boundary of solids. Solid boundaries are similar to surface boundaries. In normal 3-dimensional Euclidean space, one shell is distinguished as the exterior. In the more general case, this is not always possible.

> NOTE: An alternative use of solids with no external shell would be to define "complements" of finite solids. These infinite solids would have only interior boundaries. If this specification is extended to 4D Euclidean space, or if 3D compact manifolds are used (probably not in geographic information), then other examples of bounded solids without exterior boundaries are possible.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `SurfaceBoundary`

Method Summary
`Shell` | `getExterior()` Returns the exterior shell, or `null` if none.
`Shell[]` | `getInteriors()` Returns the interior shells.

Methods inherited from interface Boundary
`isCycle`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getExterior

    @UML(identifier="exterior",
         obligation=MANDATORY,
         specification=ISO_19107)
    Shell getExterior()

  Returns the exterior shell, or `null` if none.

  Returns:
    The exterior shell, or `null`.

### getInteriors

    @UML(identifier="interior",
         obligation=MANDATORY,
         specification=ISO_19107)
    Shell[] getInteriors()

  Returns the interior shells.

  Returns:
    The interior shells. Never `null`, but may be an empty array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.